Get email status
GET
/auth/v1/users/current/emails/statusReturns the authenticated account's current email address together with whether an email is set and whether it has been verified.
Authorization
Bearer Authorization<token>
In: header
Response Body
200application/json
Current email and verification status
type: unknown
{
"$ref": "#/components/schemas/authv1.EmailStatusResponse",
"$ref-value": {
"properties": {
"email": {
"type": "string"
},
"has_email": {
"type": "boolean"
},
"verified": {
"type": "boolean"
}
},
"type": "object"
}
}curl -X GET "https://api.rixl.com/auth/v1/users/current/emails/status"Current email and verification status
application/json
{
"$ref": "#/components/schemas/authv1.EmailStatusResponse",
"$ref-value": {
"properties": {
"email": {
"type": "string"
},
"has_email": {
"type": "boolean"
},
"verified": {
"type": "boolean"
}
},
"type": "object"
}
}